關於PIDGIN 的相依性不能安裝 [論壇 - 新手村]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊



關於PIDGIN 的相依性不能安裝
會員一級
註冊日期:
2011/5/17 16:51
所屬群組:
已註冊使用者
等級: 2
HP : 0 / 37
MP : 4 / 1097
EXP: 50
離線
下列的套件有未滿足的相依關係:
pidgin: 相依關係: pidgin-data (< 1:2.6.6-z) 但 1:2.7.11-1ubuntu0+pidgin1.10.04 卻將被安裝
E: 損毀的套件

請問各位該如何才能裝= =?

2011/5/21 10:43
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 58628
EXP: 24
離線
1. 你是使用 ubuntu 11.04 10.10 10.04 ... ?
2. 你安裝的 pidgin 的版本 ?
3. 是不是 自己下載 來安裝 ?還是從套件庫安裝 ?

2011/5/21 12:41
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝
會員一級
註冊日期:
2011/5/17 16:51
所屬群組:
已註冊使用者
等級: 2
HP : 0 / 37
MP : 4 / 1097
EXP: 50
離線
我是UBUNTU 10.04 ,我原本已經裝好了,但是突然不能開啟,所以我就打算把他移除掉,再重新裝一次,但當我重裝的時候發現,不能裝了= =
我是下載DEB來安裝的。
我裝的是最新版的pidgin。

2011/5/21 16:28
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 58628
EXP: 24
離線
試試看 直接從套件庫安裝 (不一定是最新版)
sudo apt-get purge pidgin-data pidgin # 把已安裝的 pidgin-data pidgin 刪除
sudo apt-get update # 更新 電腦內套件庫索引檔
sudo apt-get upgrade # 更新 電腦內已安裝套件到最新版
sudo apt-get install pidgin # 從 套件庫安裝 pidgin
sudo apt-get -f install pidgin # 上面指令如果有錯誤 加 -f 再試一次
如果還有錯誤訊息 請貼上來
我裝的是最新版的pidgin。

pidgin 最新版 是 2.7.11-1ubuntu2

1. 先下載 pidgin-data_2.7.11-1ubuntu2_all.deb 安裝好 再重新安裝 pidgin
Download packages that provide pidgin-data dependency on Arch Linux, Fedora, CentOS, RHEL, Debian, Ubuntu, openSUSE, Mandriva and Slackware distributions.
Ubuntu 11.04:
pidgin-data_2.7.11-1ubuntu2_all.deb « Ubuntu Main - multi-protocol instant messaging client - data files
2. 因 pidgin 還有許多相依套件 如果還有別的套件 因相依性問題 導致 無法安裝 pidgin
你還是要先下載該相依套件來安裝後 才能安裝 pidgin

2011/5/21 16:40
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝
管理員
註冊日期:
2010/5/7 5:46
所屬群組:
已註冊使用者
討論區管理群
等級: 31
HP : 0 / 755
MP : 434 / 24313
EXP: 23
離線
補充
也可以將apt-get改成aptitude
相依性問題可以選擇方案來解決
按n可以選擇下一個方案
按y接受方案
按q離開

2011/5/21 16:50
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝
會員一級
註冊日期:
2011/5/17 16:51
所屬群組:
已註冊使用者
等級: 2
HP : 0 / 37
MP : 4 / 1097
EXP: 50
離線
首先,謝謝大大地回覆,我用第一個方法,先移除pidgin-data 再重新安裝一次PIDGIN,發現可以安裝了,開心。
但是裝好之後,開啟發現PIDGIN視窗一片空白,接著PIDGIN就當機......我之前也是因為這樣才移除的。請問為什麼會當掉阿?我當初裝得時候可以用的說......

2011/5/21 17:01
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝

註冊日期:
2009/12/6 10:32
所屬群組:
已註冊使用者
等級: 71
HP : 1053 / 1756
MP : 4456 / 58628
EXP: 24
離線
你把這幾個關鍵字 copy 貼上 google 的 搜尋框
ubuntu 10.04 PIDGIN blank crash
可以找到許多文章
其中一些已有解決方案
你看看 有沒有 跟你的 情況相似的

2011/5/21 17:09
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝
會員五級
註冊日期:
2008/6/15 2:56
所屬群組:
已註冊使用者
等級: 38
HP : 0 / 945
MP : 757 / 35633
EXP: 81
離線
sudo aptitude purge pidgin
sudo aptitude purge ~c
rm -fri ~/.purple
sudo aptitude update
sudo aptitude install pidgin

2011/5/21 17:14
應用擴展 工具箱
回覆: 關於PIDGIN 的相依性不能安裝
會員一級
註冊日期:
2011/5/17 16:51
所屬群組:
已註冊使用者
等級: 2
HP : 0 / 37
MP : 4 / 1097
EXP: 50
離線
照著移除過,跟安裝完,但是還是出現程式當機的情況@@。

2011/5/21 23:03
應用擴展 工具箱


 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.